const commPrefix = '/api'

const apis = {
  user: {
    login: {
      method: 'post',
      url: `${commPrefix}/login`
    },
    logout: {
      method: 'post',
      url: `${commPrefix}/logout`
    },
    updatepass: {
      method: 'put',
      url: `${commPrefix}/admin/password`
    },
    getuser: {
      method: 'get',
      url: `${commPrefix}/user`
    }
  },
  sysuser: {
    add: {
      method: 'post',
      url: `${commPrefix}/sysuser`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/sysuser`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/sysuser`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/sysuser/:id`
    },
  },
  type: {
    add: {
      method: 'post',
      url: `${commPrefix}/person_type`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/person_type`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/person_type`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/person_type/:id`
    }
  },
  stats: {
    person: {
      method: 'get',
      url: `${commPrefix}/stats/person`
    },
    daily: {
      visiting: {
        method: 'get',
        url: `${commPrefix}/stats/daily/visitinglog`
      }
    }
  },
  notice: {
    add: {
      method: 'post',
      url: `${commPrefix}/notice`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/notice`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/notice`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/notice/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/notice/:id`
    }
  },
  person: {
    add: {
      method: 'post',
      url: `${commPrefix}/person`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/person`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/person`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/person/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/person/:id`
    },
    dispatch: {
      method: 'put',
      url: `${commPrefix}/person/:id/avatar`
    },
    merge: {
      method: 'put',
      url: `${commPrefix}/merge/person/:id`
    },
  },
  guard: {
    dispatch: {
      method: 'post',
      url: `${commPrefix}/face/:id`
    },
    forbid: {
      method: 'delete',
      url: `${commPrefix}/face/:id`
    },
    device: {
      method: 'get',
      url: `${commPrefix}/faces`
    }
  },
  visitinglog: {
    list: {
      method: 'get',
      url: `${commPrefix}/visitinglog`
    },
  },
  file: {
    upload: {
      method: 'post',
      url: `${commPrefix}/uploadFile`
    }
  },
  firstpage: {
    add: {
      method: 'post',
      url: `${commPrefix}/firstpage`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/firstpage`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/firstpage`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/firstpage/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/firstpage/:id`
    },
    refresh: {
      method: 'post',
      url: `${commPrefix}/command/firstpage`
    },
  },
  content: {
    list: {
      method: 'get',
      url: `${commPrefix}/content`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/content`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/content/:id`
    }
  },
  device: {
    list: {
      method: 'get',
      url: `${commPrefix}/device`
    },
    snapshot: {
      method: 'get',
      url: `${commPrefix}/snapshot`
    },
    dispatch: {
      method: 'post',
      url: `${commPrefix}/device/person`
    },
  },
  words: {
    add: {
      method: 'post',
      url: `${commPrefix}/visiting_words`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/visiting_words`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/visiting_words`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/visiting_words/device/:deviceId/type/:typeId`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/visiting_words/device/:deviceId/type/:typeId`
    }
  },
  log: {
    edit: {
      method: 'put',
      url: `${commPrefix}/visiting_log/:logId`
    },
    dispatch: {
      method: 'put',
      url: `${commPrefix}/person/:personId/log/:logId`
    }
  },
  sysparam: {
    edit: {
      method: 'put',
      url: `${commPrefix}/sysparam/:id`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/sysparam`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/sysparam/:id`
    }
  }
}

export default apis
